/*
 * led_blinker_xc216.xc
 *
 *  Created on: Apr 9, 2018
 *      Author: lab
 */

#include <platform.h>
//#include <gpio.h>  // not required for LED testing...

/* Buttons/switch port */
in port p_sw = on tile[1] : XS1_PORT_4B;

/* LED grid port */
out port p_leds_row = on tile[1] : XS1_PORT_4C;
out port p_leds_col = on tile[1] : XS1_PORT_4D;

void my_led_matrix(void) {

    while (1) {

        p_leds_row <: 0x7
        ; // 0111 row 1
        delay_milliseconds(500)
        ;

        p_leds_row <: 0xB
        ; // 1011 row 2
        delay_milliseconds(500)
        ;

        p_leds_row <: 0xD
        ; // 1101 row 3
        delay_milliseconds(500)
        ;

        p_leds_row <: 0xE
        ; // 1110 row 4
        delay_milliseconds(500)
        ;

        p_leds_row <: 0x0
        ; // 0000 row all on
        delay_milliseconds(500)
        ;



        p_leds_col <: 0x1
        ; // 0001 column 4
        delay_milliseconds(500)
        ;

        p_leds_col <: 0x2
        ; // 0010 column 3
        delay_milliseconds(500)
        ;

        p_leds_col <: 0x4
        ; // 0100 column 2
        delay_milliseconds(500)
        ;

        p_leds_col <: 0x8
        ; // 1000 column 1
        delay_milliseconds(500)
        ;
}
}

int main(void)
{
   par
   {
      on tile[1] : my_led_matrix();
   }

   return 0;
}



